> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agency Company

> Update company settings (agency admin can modify billing settings). Note: Requires Agency API Key.



## OpenAPI

````yaml PATCH /agency/company/{company_id}
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agency/company/{company_id}:
    patch:
      summary: Update Agency Company
      description: >-
        Update company settings (agency admin can modify billing settings).
        Note: Requires Agency API Key.
      parameters:
        - name: company_id
          in: path
          description: The ID of the company
          required: true
          schema:
            type: string
      requestBody:
        description: Company update details
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgencyCompanyUpdate'
      responses:
        '200':
          description: Company updated successfully
        '400':
          description: Bad Request - Invalid data or cannot modify rate for direct billing
        '401':
          description: Unauthorized - Invalid or missing agency API key
        '403':
          description: Forbidden - Requires agency admin access
        '404':
          description: Company not found
      security:
        - AgencyApiKey: []
components:
  schemas:
    AgencyCompanyUpdate:
      type: object
      properties:
        active:
          type: boolean
        auto_rebill:
          type: string
          enum:
            - 'off'
            - agency_wallet
            - ghl_wallet
            - direct_billing
        call_rate:
          oneOf:
            - type: string
            - type: number
          description: Cannot modify if direct_billing
        concurrent_lanes:
          type: integer
          description: Capped at agency's max
        chat_rate:
          type: number
          description: Cannot modify if direct_billing
        retainer_fee:
          type: number
        agent_limit:
          oneOf:
            - type: integer
            - type: string
          description: Empty string sets to null
  securitySchemes:
    AgencyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Agency API Key

````